using Darkmatter.Core.Contracts.Services.Gallery;
using Darkmatter.Libs.Installers;
using UnityEngine;
using VContainer;

namespace Darkmatter.Services.Gallery
{
    public class GalleryModule : MonoBehaviour,IModule
    {
        public void Register(IContainerBuilder builder)
        {
            builder.Register<IGalleryService,GalleryService>(Lifetime.Singleton);
        }
    }
}
